searchNodes=[{"doc":"Encrypt values with AES in Galois/Counter Mode (GCM) https://en.wikipedia.org/wiki/Galois/Counter_Mode using a random Initialisation Vector for each encryption, this makes &quot;bruteforce&quot; decryption much more difficult. See encrypt/1 and decrypt/1 for more details.","ref":"Fields.AES.html","title":"Fields.AES","type":"module"},{"doc":"Decrypt a binary using GCM.Parametersciphertext: a binary to decrypt, assuming that the first 16 bytes of the binary are the IV to use for decryption.key_id: the index of the AES encryption key used to encrypt the ciphertextExampleiex&gt; Fields.AES.encrypt(&quot;test&quot;) |&gt; Fields.AES.decrypt() &quot;test&quot;","ref":"Fields.AES.html#decrypt/1","title":"Fields.AES.decrypt/1","type":"function"},{"doc":"Encrypt Using AES Galois/Counter Mode (GCM) https://en.wikipedia.org/wiki/Galois/Counter_Mode Uses a random IV for each call, and prepends the IV and Tag to the ciphertext. This means that encrypt/1 will never return the same ciphertext for the same value. This makes &quot;cracking&quot; (bruteforce decryption) much harder!Parametersplaintext: Accepts any data type as all values are converted to a String using to_string before encryption.key_id: the index of the AES encryption key used to encrypt the ciphertextExamplesiex&gt; Fields.AES.encrypt(&quot;tea&quot;) != Fields.AES.encrypt(&quot;tea&quot;) true iex&gt; ciphertext = Fields.AES.encrypt(123) iex&gt; is_binary(ciphertext) true","ref":"Fields.AES.html#encrypt/1","title":"Fields.AES.encrypt/1","type":"function"},{"doc":"An Ecto Type for plaintext addresses. Useful for publicly available addressses. See Fields.AddressEncrypted for storing addresses that are Personally Identifiable Information.Example schema &quot;retailers&quot; do field :address, Fields.Address end","ref":"Fields.Address.html","title":"Fields.Address","type":"module"},{"doc":"","ref":"Fields.Address.html#cast/1","title":"Fields.Address.cast/1","type":"function"},{"doc":"","ref":"Fields.Address.html#dump/1","title":"Fields.Address.dump/1","type":"function"},{"doc":"","ref":"Fields.Address.html#embed_as/1","title":"Fields.Address.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Address.html#equal?/2","title":"Fields.Address.equal?/2","type":"function"},{"doc":"","ref":"Fields.Address.html#load/1","title":"Fields.Address.load/1","type":"function"},{"doc":"","ref":"Fields.Address.html#type/0","title":"Fields.Address.type/0","type":"function"},{"doc":"An Ecto Type for encrypted addresses.Exampleschema &quot;users&quot; do field(:address, Fields.AddressEncrypted) end","ref":"Fields.AddressEncrypted.html","title":"Fields.AddressEncrypted","type":"module"},{"doc":"","ref":"Fields.AddressEncrypted.html#cast/1","title":"Fields.AddressEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.AddressEncrypted.html#dump/1","title":"Fields.AddressEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.AddressEncrypted.html#embed_as/1","title":"Fields.AddressEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.AddressEncrypted.html#equal?/2","title":"Fields.AddressEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.AddressEncrypted.html#load/1","title":"Fields.AddressEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.AddressEncrypted.html#type/0","title":"Fields.AddressEncrypted.type/0","type":"function"},{"doc":"An Ecto Type for plaintext description fields with no length restrictions. Strips out all HTML tags to avoid XSS.Exampleschema &quot;article&quot; do field(:description, Fields.DescriptionPlaintextUnlimited) end","ref":"Fields.DescriptionPlaintextUnlimited.html","title":"Fields.DescriptionPlaintextUnlimited","type":"module"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#cast/1","title":"Fields.DescriptionPlaintextUnlimited.cast/1","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#dump/1","title":"Fields.DescriptionPlaintextUnlimited.dump/1","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#embed_as/1","title":"Fields.DescriptionPlaintextUnlimited.embed_as/1","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#equal?/2","title":"Fields.DescriptionPlaintextUnlimited.equal?/2","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#input_type/0","title":"Fields.DescriptionPlaintextUnlimited.input_type/0","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#load/1","title":"Fields.DescriptionPlaintextUnlimited.load/1","type":"function"},{"doc":"","ref":"Fields.DescriptionPlaintextUnlimited.html#type/0","title":"Fields.DescriptionPlaintextUnlimited.type/0","type":"function"},{"doc":"An Ecto Type for encrypted emails.Exampleschema &quot;users&quot; do field(:email, Fields.EmailEncrypted) end","ref":"Fields.EmailEncrypted.html","title":"Fields.EmailEncrypted","type":"module"},{"doc":"","ref":"Fields.EmailEncrypted.html#cast/1","title":"Fields.EmailEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.EmailEncrypted.html#dump/1","title":"Fields.EmailEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.EmailEncrypted.html#embed_as/1","title":"Fields.EmailEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.EmailEncrypted.html#equal?/2","title":"Fields.EmailEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.EmailEncrypted.html#load/1","title":"Fields.EmailEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.EmailEncrypted.html#type/0","title":"Fields.EmailEncrypted.type/0","type":"function"},{"doc":"An Ecto Type for hashed emails. Use in conjuction with Fields.EmailEncrypted in order to be able to look up database rows by email. Hashed using sha256. See Fields.Helpers for hashing details.Exampleschema &quot;users&quot; do field(:email, Fields.EmailEncrypted) field(:email_hash, Fields.EmailHash) end","ref":"Fields.EmailHash.html","title":"Fields.EmailHash","type":"module"},{"doc":"","ref":"Fields.EmailHash.html#cast/1","title":"Fields.EmailHash.cast/1","type":"function"},{"doc":"","ref":"Fields.EmailHash.html#dump/1","title":"Fields.EmailHash.dump/1","type":"function"},{"doc":"","ref":"Fields.EmailHash.html#embed_as/1","title":"Fields.EmailHash.embed_as/1","type":"function"},{"doc":"","ref":"Fields.EmailHash.html#equal?/2","title":"Fields.EmailHash.equal?/2","type":"function"},{"doc":"","ref":"Fields.EmailHash.html#load/1","title":"Fields.EmailHash.load/1","type":"function"},{"doc":"","ref":"Fields.EmailHash.html#type/0","title":"Fields.EmailHash.type/0","type":"function"},{"doc":"An Ecto Type for plaintext emails. Useful for publicly available email addressses such as customer support emails. See Fields.EmailEncrypted and Fields.EmailHash for storing user email addresses.Example schema &quot;retailers&quot; do field(:email, Fields.EmailPlaintext) end","ref":"Fields.EmailPlaintext.html","title":"Fields.EmailPlaintext","type":"module"},{"doc":"","ref":"Fields.EmailPlaintext.html#cast/1","title":"Fields.EmailPlaintext.cast/1","type":"function"},{"doc":"","ref":"Fields.EmailPlaintext.html#dump/1","title":"Fields.EmailPlaintext.dump/1","type":"function"},{"doc":"","ref":"Fields.EmailPlaintext.html#embed_as/1","title":"Fields.EmailPlaintext.embed_as/1","type":"function"},{"doc":"","ref":"Fields.EmailPlaintext.html#equal?/2","title":"Fields.EmailPlaintext.equal?/2","type":"function"},{"doc":"","ref":"Fields.EmailPlaintext.html#load/1","title":"Fields.EmailPlaintext.load/1","type":"function"},{"doc":"","ref":"Fields.EmailPlaintext.html#type/0","title":"Fields.EmailPlaintext.type/0","type":"function"},{"doc":"An Ecto Type for encrypted fields. See Fields.AES for details on encryption/decryption.Example schema &quot;users&quot; do field(:name, Fields.Encrypted) end","ref":"Fields.Encrypted.html","title":"Fields.Encrypted","type":"module"},{"doc":"","ref":"Fields.Encrypted.html#cast/1","title":"Fields.Encrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.Encrypted.html#dump/1","title":"Fields.Encrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.Encrypted.html#embed_as/1","title":"Fields.Encrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Encrypted.html#equal?/2","title":"Fields.Encrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.Encrypted.html#load/1","title":"Fields.Encrypted.load/1","type":"function"},{"doc":"","ref":"Fields.Encrypted.html#type/0","title":"Fields.Encrypted.type/0","type":"function"},{"doc":"An Ecto Type for hashed fields. Hashed using sha256. See Fields.Helpers for hashing details.Example schema &quot;messages&quot; do field(:digest, Fields.Hash) end","ref":"Fields.Hash.html","title":"Fields.Hash","type":"module"},{"doc":"","ref":"Fields.Hash.html#cast/1","title":"Fields.Hash.cast/1","type":"function"},{"doc":"","ref":"Fields.Hash.html#dump/1","title":"Fields.Hash.dump/1","type":"function"},{"doc":"","ref":"Fields.Hash.html#embed_as/1","title":"Fields.Hash.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Hash.html#equal?/2","title":"Fields.Hash.equal?/2","type":"function"},{"doc":"","ref":"Fields.Hash.html#load/1","title":"Fields.Hash.load/1","type":"function"},{"doc":"","ref":"Fields.Hash.html#type/0","title":"Fields.Hash.type/0","type":"function"},{"doc":"An Ecto Type for bodies of html text. Strips out all HTML script tags to avoid XSS but allows other basic HTML elements to remain.Exampleschema &quot;article&quot; do field(:body, Fields.HtmlBody) end","ref":"Fields.HtmlBody.html","title":"Fields.HtmlBody","type":"module"},{"doc":"","ref":"Fields.HtmlBody.html#cast/1","title":"Fields.HtmlBody.cast/1","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#dump/1","title":"Fields.HtmlBody.dump/1","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#embed_as/1","title":"Fields.HtmlBody.embed_as/1","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#equal?/2","title":"Fields.HtmlBody.equal?/2","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#input_type/0","title":"Fields.HtmlBody.input_type/0","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#load/1","title":"Fields.HtmlBody.load/1","type":"function"},{"doc":"","ref":"Fields.HtmlBody.html#type/0","title":"Fields.HtmlBody.type/0","type":"function"},{"doc":"An Ecto Type for encrypted ip addresses.Exampleschema &quot;users&quot; do field(:ip_address, Fields.IpAddressEncrypted) end","ref":"Fields.IpAddressEncrypted.html","title":"Fields.IpAddressEncrypted","type":"module"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#cast/1","title":"Fields.IpAddressEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#dump/1","title":"Fields.IpAddressEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#embed_as/1","title":"Fields.IpAddressEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#equal?/2","title":"Fields.IpAddressEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#load/1","title":"Fields.IpAddressEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.IpAddressEncrypted.html#type/0","title":"Fields.IpAddressEncrypted.type/0","type":"function"},{"doc":"An Ecto Type for hashed ip addresses. Hashed using sha256. See Fields.Helpers for hashing details.Exampleschema &quot;users&quot; do field(:ip_address_hash, Fields.IpAddressHash) end","ref":"Fields.IpAddressHash.html","title":"Fields.IpAddressHash","type":"module"},{"doc":"","ref":"Fields.IpAddressHash.html#cast/1","title":"Fields.IpAddressHash.cast/1","type":"function"},{"doc":"","ref":"Fields.IpAddressHash.html#dump/1","title":"Fields.IpAddressHash.dump/1","type":"function"},{"doc":"","ref":"Fields.IpAddressHash.html#embed_as/1","title":"Fields.IpAddressHash.embed_as/1","type":"function"},{"doc":"","ref":"Fields.IpAddressHash.html#equal?/2","title":"Fields.IpAddressHash.equal?/2","type":"function"},{"doc":"","ref":"Fields.IpAddressHash.html#load/1","title":"Fields.IpAddressHash.load/1","type":"function"},{"doc":"","ref":"Fields.IpAddressHash.html#type/0","title":"Fields.IpAddressHash.type/0","type":"function"},{"doc":"An Ecto Type for plaintext ip address.Example schema &quot;people&quot; do field(:ip_address, Fields.IpAddressPlaintext) end","ref":"Fields.IpAddressPlaintext.html","title":"Fields.IpAddressPlaintext","type":"module"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#cast/1","title":"Fields.IpAddressPlaintext.cast/1","type":"function"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#dump/1","title":"Fields.IpAddressPlaintext.dump/1","type":"function"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#embed_as/1","title":"Fields.IpAddressPlaintext.embed_as/1","type":"function"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#equal?/2","title":"Fields.IpAddressPlaintext.equal?/2","type":"function"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#load/1","title":"Fields.IpAddressPlaintext.load/1","type":"function"},{"doc":"","ref":"Fields.IpAddressPlaintext.html#type/0","title":"Fields.IpAddressPlaintext.type/0","type":"function"},{"doc":"An Ecto Type for names that need to be stored securely.Example schema &quot;user&quot; do field :name, Fields.Name field :email, Fields.EmailEncrypted timestamps() end","ref":"Fields.Name.html","title":"Fields.Name","type":"module"},{"doc":"","ref":"Fields.Name.html#cast/1","title":"Fields.Name.cast/1","type":"function"},{"doc":"","ref":"Fields.Name.html#dump/1","title":"Fields.Name.dump/1","type":"function"},{"doc":"","ref":"Fields.Name.html#embed_as/1","title":"Fields.Name.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Name.html#equal?/2","title":"Fields.Name.equal?/2","type":"function"},{"doc":"","ref":"Fields.Name.html#load/1","title":"Fields.Name.load/1","type":"function"},{"doc":"","ref":"Fields.Name.html#type/0","title":"Fields.Name.type/0","type":"function"},{"doc":"An Ecto Type for hashed passwords. Hashed using Argon2. See Fields.Helpers for hashing details.Exampleschema &quot;users&quot; do field(:email, Fields.EmailEncrypted) field(:password, Fields.Password) end","ref":"Fields.Password.html","title":"Fields.Password","type":"module"},{"doc":"","ref":"Fields.Password.html#cast/1","title":"Fields.Password.cast/1","type":"function"},{"doc":"","ref":"Fields.Password.html#dump/1","title":"Fields.Password.dump/1","type":"function"},{"doc":"","ref":"Fields.Password.html#embed_as/1","title":"Fields.Password.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Password.html#equal?/2","title":"Fields.Password.equal?/2","type":"function"},{"doc":"","ref":"Fields.Password.html#load/1","title":"Fields.Password.load/1","type":"function"},{"doc":"","ref":"Fields.Password.html#type/0","title":"Fields.Password.type/0","type":"function"},{"doc":"An Ecto Type for plaintext phone numbers. Useful for publicly available numbers such as customer support. See Fields.PhoneNumberEncrypted for storing numbers that are Personally Identifiable Information.Example schema &quot;retailers&quot; do field(:phone_number, Fields.PhoneNumber) end","ref":"Fields.PhoneNumber.html","title":"Fields.PhoneNumber","type":"module"},{"doc":"","ref":"Fields.PhoneNumber.html#cast/1","title":"Fields.PhoneNumber.cast/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumber.html#dump/1","title":"Fields.PhoneNumber.dump/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumber.html#embed_as/1","title":"Fields.PhoneNumber.embed_as/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumber.html#equal?/2","title":"Fields.PhoneNumber.equal?/2","type":"function"},{"doc":"","ref":"Fields.PhoneNumber.html#load/1","title":"Fields.PhoneNumber.load/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumber.html#type/0","title":"Fields.PhoneNumber.type/0","type":"function"},{"doc":"An Ecto Type for encrypted phone numbers.Exampleschema &quot;users&quot; do field(:phone_number, Fields.PhoneNumberEncrypted) end","ref":"Fields.PhoneNumberEncrypted.html","title":"Fields.PhoneNumberEncrypted","type":"module"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#cast/1","title":"Fields.PhoneNumberEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#dump/1","title":"Fields.PhoneNumberEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#embed_as/1","title":"Fields.PhoneNumberEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#equal?/2","title":"Fields.PhoneNumberEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#load/1","title":"Fields.PhoneNumberEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.PhoneNumberEncrypted.html#type/0","title":"Fields.PhoneNumberEncrypted.type/0","type":"function"},{"doc":"An Ecto Type for plaintext postcodes. Use for publicly available postcodes. For personal data, use Fields.PostcodeEncrypted instead.Exampleschema &quot;retailers&quot; do field(:postcode, Fields.Postcode) end","ref":"Fields.Postcode.html","title":"Fields.Postcode","type":"module"},{"doc":"","ref":"Fields.Postcode.html#cast/1","title":"Fields.Postcode.cast/1","type":"function"},{"doc":"","ref":"Fields.Postcode.html#dump/1","title":"Fields.Postcode.dump/1","type":"function"},{"doc":"","ref":"Fields.Postcode.html#embed_as/1","title":"Fields.Postcode.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Postcode.html#equal?/2","title":"Fields.Postcode.equal?/2","type":"function"},{"doc":"","ref":"Fields.Postcode.html#load/1","title":"Fields.Postcode.load/1","type":"function"},{"doc":"","ref":"Fields.Postcode.html#type/0","title":"Fields.Postcode.type/0","type":"function"},{"doc":"An Ecto Type for encrypted postcodes. See Fields.AES for details on encryption/decryption.Exampleschema &quot;users&quot; do field(:email, Fields.EmailEncrypted) field(:postcode, Fields.PostcodeEncrypted) end","ref":"Fields.PostcodeEncrypted.html","title":"Fields.PostcodeEncrypted","type":"module"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#cast/1","title":"Fields.PostcodeEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#dump/1","title":"Fields.PostcodeEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#embed_as/1","title":"Fields.PostcodeEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#equal?/2","title":"Fields.PostcodeEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#load/1","title":"Fields.PostcodeEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.PostcodeEncrypted.html#type/0","title":"Fields.PostcodeEncrypted.type/0","type":"function"},{"doc":"An Ecto Type for urls. Use Fields.UrlEncrypted for encrypted urls.Exampleschema &quot;retailers&quot; do field :url, Fields.Url end","ref":"Fields.Url.html","title":"Fields.Url","type":"module"},{"doc":"","ref":"Fields.Url.html#cast/1","title":"Fields.Url.cast/1","type":"function"},{"doc":"","ref":"Fields.Url.html#dump/1","title":"Fields.Url.dump/1","type":"function"},{"doc":"","ref":"Fields.Url.html#embed_as/1","title":"Fields.Url.embed_as/1","type":"function"},{"doc":"","ref":"Fields.Url.html#equal?/2","title":"Fields.Url.equal?/2","type":"function"},{"doc":"","ref":"Fields.Url.html#load/1","title":"Fields.Url.load/1","type":"function"},{"doc":"","ref":"Fields.Url.html#type/0","title":"Fields.Url.type/0","type":"function"},{"doc":"An Ecto Type for urls that need to be stored securely.Example``` schema &quot;bookmarks&quot; do field :url, Fields.UrlEncrypted timestamps() end ```","ref":"Fields.UrlEncrypted.html","title":"Fields.UrlEncrypted","type":"module"},{"doc":"","ref":"Fields.UrlEncrypted.html#cast/1","title":"Fields.UrlEncrypted.cast/1","type":"function"},{"doc":"","ref":"Fields.UrlEncrypted.html#dump/1","title":"Fields.UrlEncrypted.dump/1","type":"function"},{"doc":"","ref":"Fields.UrlEncrypted.html#embed_as/1","title":"Fields.UrlEncrypted.embed_as/1","type":"function"},{"doc":"","ref":"Fields.UrlEncrypted.html#equal?/2","title":"Fields.UrlEncrypted.equal?/2","type":"function"},{"doc":"","ref":"Fields.UrlEncrypted.html#load/1","title":"Fields.UrlEncrypted.load/1","type":"function"},{"doc":"","ref":"Fields.UrlEncrypted.html#type/0","title":"Fields.UrlEncrypted.type/0","type":"function"},{"doc":"Helper functions to validate the data in certain fields","ref":"Fields.Validate.html","title":"Fields.Validate","type":"module"},{"doc":"Validate an address. Currently just validates that some input has been given.","ref":"Fields.Validate.html#address/1","title":"Fields.Validate.address/1","type":"function"},{"doc":"Validate the format of an email address using a regex. Uses a slightly modified version of the w3c HTML5 spec email regex (https://www.w3.org/TR/html5/forms.html#valid-e-mail-address), with additions to account for not allowing emails to start or end with '.', and a check that there are no consecutive '.'s.","ref":"Fields.Validate.html#email/1","title":"Fields.Validate.email/1","type":"function"},{"doc":"","ref":"Fields.Validate.html#ip_address/1","title":"Fields.Validate.ip_address/1","type":"function"},{"doc":"Validate the length of a name is less than 35 characters","ref":"Fields.Validate.html#name/1","title":"Fields.Validate.name/1","type":"function"},{"doc":"Validates the format of a UK phone number.","ref":"Fields.Validate.html#phone_number/1","title":"Fields.Validate.phone_number/1","type":"function"},{"doc":"Validate the format of an postcode using a regex. All existing postcodes in the UK should pass this validation; some non-existent ones may too if they follow the standard UK postcode format.","ref":"Fields.Validate.html#postcode/1","title":"Fields.Validate.postcode/1","type":"function"},{"doc":"Validate the format of a url using a regex. See https://stackoverflow.com/questions/42522442/how-to-validate-a-url-via-a-check-constraint-in-postgres/51965621 for details on how the regex for validation was chosen","ref":"Fields.Validate.html#url/1","title":"Fields.Validate.url/1","type":"function"}]